<?php
// $Id: scribeseo.admin.inc,v 1.1.2.1 2010/04/19 00:07:01 tomdude48 Exp $

/**
 * @file
 * Admin include file.
 */

/**
 * Displays the form for the standard settings tab.
 *
 * @return
 *   array A structured array for use with Forms API.
 */
function scribeseo_admin_settings() {
  //Define the titles
  if(variable_get('scribeseo_apikey','')) {
    $userAccountAccess = scribeseo_getUserInfo();
    $userAccountData = $userAccountAccess->results['GetAccountStatusResult'];
    if(!$userAccountData) {
      drupal_set_message(t('Unable to communicate with Scribe server.'),'warning');
    } else if($userAccountData['Exception']['Type']) {
      drupal_set_message($userAccountData['Exception']['Message'] . "(type " . $userAccountData['Exception']['Type'] . ")",'warning');
    } else {
      $accountStatus = $userAccountData['AccountStatus'];
    }
  }
//dsm($accountStatus);
  
  $form['scribeseo_apikey'] = array(
    '#type' => 'textfield',
    '#title' => t('Scribe API Key'), 
    '#description' => t('You will need a Scribe SEO API Key to enable analysis. <a href="'.SCRIBESEO_LINK_GETKEY.'" target="_blank">Get your API key here</a>.'),
    '#default_value' => variable_get('scribeseo_apikey',''), 
  );
  
  $form['scribeseo_usessl'] = array(
    '#type' => 'select',
    '#title' => t('Security method'), 
    '#description' => t('Use of Enhanced Security (with SSL) can cause problems on some shared hosts. Only select this option if you are certain you need it. See the <a href="https://my.scribeseo.com">suppport site</a> for more information.'),
    '#options' => array('http' => t('Basic Non-SSL'), 'https' => t('Enhanced SSL')),
    '#default_value' => variable_get('scribeseo_usessl',''), 
  );
  
  $form['scribeseo_usecache_default'] = array(
    '#type' => 'radios',
    '#title' => t('Default re-analysis preference'), 
    '#description' => t('The Scribe SEO API limites the number of submissions per month based on type of account. The Scribe SEO module caches results from previous submissions. The Content Analysis interface enables you to select to review the last analysis or submit to the Scribe API for a new analysis. Use the above otpions to set your default preference for nodes and URLs that have previously cached analysis.'),
    '#options' => array('1' => t('Show the cached version'), '0' => t('Submit to Scribe SEO for re-analysis')),
    '#default_value' => variable_get('scribeseo_usecache_default','0'), 
  );
  
  
  //return system_settings_form($form);
  /*
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Submit'), 
  ); 
  */
  
  
  if(!$accountStatus) {
    return system_settings_form($form);
  }
  $form['scribeseo_acctstatus_hdr'] = array(
    '#type' => 'markup',
    '#value' => '<h3>' . t('Account Status') . '</h3>', 
  );
  $form['scribeseo_acctstatus'] = array(
    '#type' => 'item',
    '#title' => t('Account Status'), 
    '#description' => $accountStatus['AccountStatus'],
  );
  $form['scribeseo_accttype'] = array(
    '#type' => 'item',
    '#title' => t('Account Type'), 
    '#description' => $accountStatus['AccountType'],
  );
  $form['scribeseo_evals'] = array(
    '#type' => 'item',
    '#title' => t('Evaluations'), 
    '#description' => $accountStatus['CreditsTotal'] . ' ' . t('evaluations per month (1 evaluation = 1 SEO analysis) '),
  );
  $form['scribeseo_evalsleft'] = array(
    '#type' => 'item',
    '#title' => t('Evaluations left'), 
    '#description' => $accountStatus['CreditsRemaining']. ' ' . t('evaluations as of '. date('F j, Y, g:i a')),
  );
  
  drupal_add_css(drupal_get_path('module', 'contentanalysis') . '/contentanalysis.css');
  $form['scribeseo_upgradelink'] = array(
    '#type' => 'markup',
    '#value' => '<div class="contentanalysis">' . l(t('Upgrade Account'), SCRIBESEO_LINK_UPGRADEACCOUNT, array('attributes' => array('target' => '_scribeseo', 'class' => 'button'))) . t(' Get more evaluation credits by upgrading your account.') . '</div><br>',
  );
  

  return system_settings_form($form);
}

